---
title: "The 'cumulus account statement' (Cumulus Kontoauszug)."
url: "https://developer.migros.ch/apis/layout-api-1/versions/ba4ab42c-2abb-4848-ba02-96d8671a0622/operations/accountstatementDetail"
---

> Full API specification: https://developer.migros.ch/apis/layout-api-1/versions/ba4ab42c-2abb-4848-ba02-96d8671a0622.md

# The 'cumulus account statement' (Cumulus Kontoauszug).

`GET` `/migros/customers/account-statements/v1/detail/{cumulus}/{period}`

Operation ID: `accountstatementDetail`

Rendered account statement (Cumulus Kontoauszug).

## Path parameters

- `cumulus` (integer, required) - Cumulus Number
- `period` (integer, required) - Collection period/Sammlungsperiode (eg. 20246 for 01.08.2024 to 30.09.2024)

## Query parameters

- `format` (string, optional) - Select HTML or PDF version of account statement.

## Responses

- `200` - receipt as HTML or PDF.

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Layout-API
  version: 1.3.0
servers:
  - description: URL of upstream
    url: https://api.migros.ch
paths:
  /migros/customers/account-statements/v1/detail/{cumulus}/{period}:
    get:
      description: Rendered account statement (Cumulus Kontoauszug).
      operationId: accountstatementDetail
      parameters:
        - $ref: "#/components/parameters/cumulus"
        - $ref: "#/components/parameters/period"
        - description: Select HTML or PDF version of account statement.
          example: html
          in: query
          name: format
          schema:
            default: html
            enum:
              - html
              - pdf
            type: string
      responses:
        "200":
          content:
            application/pdf:
              schema:
                type: string
            text/html:
              schema:
                type: string
          description: receipt as HTML or PDF.
      summary: The 'cumulus account statement' (Cumulus Kontoauszug).
      tags:
        - Account-Statement
security:
  - Kong-Api-Key: []
components:
  parameters:
    cumulus:
      description: Cumulus Number
      example: 2099123456789
      in: path
      name: cumulus
      required: true
      schema:
        maximum: 2099999999999
        minimum: 2098000000000
        type: integer
    period:
      description: Collection period/Sammlungsperiode (eg. 20246 for 01.08.2024 to
        30.09.2024)
      example: 20246
      in: path
      name: period
      required: true
      schema:
        type: integer
  securitySchemes:
    Kong-Api-Key:
      description: Kong key-auth authentication
      in: header
      name: X-Api-Key
      type: apiKey
```
